Campaigns
Validate that a date has enough remaining SMS quota
Returns whether the organization's daily SMS quota for the supplied date (derived from scheduledISO in the org's timezone) has room for contactCount additional messages. When excludeCampaignId is supplied, that campaign's current reservation on the date is excluded from the calculation (used when editing).
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/campaigns/validate-date" \ -H "Content-Type: application/json" \ -d '{ "scheduledISO": "2026-05-20T15:00:00.000Z", "contactCount": 250 }'{ "success": true, "available": true, "remaining": 250, "limit": 500}